#!c:/perl/bin/perl

# DBIモジュール、CGIモジュールをロードします。
use DBI;
use CGI qw(:standard);

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# CGIモジュールのparamメソッドを利用して、
# フォームから送信されたデータを取得します。
$animal_c = param("animal_c");
$age_c = param("age_c");

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
# データベースハンドルメソッドdoは
# 指定されたSQL文を実行します。
$dbh->do("SET NAMES utf8");

# SQL文発行のためにエスケープ処理を行います。
# データベースハンドルメソッドquoteは
# 特殊文字のエスケープを行い、文字列をクォートで囲みます。
$animal_c = $dbh->quote($animal_c);
$age_c = $dbh->quote($age_c);

# フォームより送信されたデータを追加します。
$sql = "INSERT INTO zoo SET animal_c=$animal_c, age_c=$age_c";

# SQL文を実行します。
$dbh->do($sql);

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print "データを追加しました。\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;