#!c:/perl/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

# SQL文を記述します。
# $sql = "ここに以下のようにSQL文を記述します。";
$sql = "UPDATE zoo SET animal_c='トナカイ', age_c=2 WHERE animal_c='ライオン'";

# SQL文を準備します。
$sth = $dbh->prepare($sql);

# SQL文を実行します。
$sth->execute();

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
# 以下に実行後に表示されるメッセージを記述します。
print "レコードが更新されました。\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;