#!c:/perl/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# 最大64KBまでデータを格納します。
$dbh->{LongReadLen} = 64 * 1024;
$dbh->{LongTruncOk} = 1;

# SQL文を記述します。
$sql = "SELECT data_c FROM image";

# SQL文を実行します。
$rows = $dbh->selectrow_array($sql);

# 保存するファイルをオープンします。
open FILE, ">c:/out.gif";

# WINDOWSの場合に使用します。
binmode FILE;

# 取り出した画像データをファイルに書き込みます。
print FILE $rows;

# ファイルをクローズします。
close FILE;

# データベースに保存した画像データを削除します。
$row = $dbh->do("DELETE FROM image");

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print "画像データの取り出しに成功しました。\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;